Home//Segments
Segments
Introduction
Changelog (2.17)
Intercom API
Admins
AI Content
Articles
Audiences
Away Status Reasons
Banners
Brands
Calls
Companies
Contacts
Content
Content Snippets
Conversations
Conversations Attributes
Custom Object Instances
Data Attributes
Data Connectors
Data Events
Data Export
Dynamic Content
Emails
Fin Agent
Folders
Help Center
Internal Articles
IP Allowlist
Jobs
Macros
Messages
News
Notes
Office Hours
Reporting Data Export
Subscription Types
Switch
Tags
Teams
Ticket States
Ticket Type Attributes
Ticket Types
Tickets
Visitors
WhatsApp
Workflows
Models
You can fetch a list of segments that are associated to a contact.
Requires the read_users_companies or read_write_users OAuth scope.
Security
bearerAuth
Intercom-Versionstring(intercom_version)
Intercom API version.
If you omit the header, the API uses the version set in your app package, and 1.0 if none is set.
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.17
- The production API serverhttps://api.intercom.io/contacts/{contact_id}/segments
- The european API serverhttps://api.eu.intercom.io/contacts/{contact_id}/segments
- The australian API serverhttps://api.au.intercom.io/contacts/{contact_id}/segments
curl -i -X GET \
https://api.intercom.io/contacts/63a07ddf05a32042dffac965/segments \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Intercom-Version: 2.17'successful
dataArray of objects(Segment)
Segment objects associated with the contact.
Response
{ "type": "list", "data": [ { … } ] }